Subject: bug#28412: 26.0.50; Let save-some-buffers accept write-contents-functions

From: Kaushal Modi <[email-masked]>
Date: Mon, 18 Sep 2017 21:48:15 +0000

On Mon, Sep 18, 2017 at 4:53 PM Eric Abrahamsen <[email-masked]>
wrote:

>
> It might be nice to have something like:
>
> (defsubst buffer-internal-p (buf)
>   (eq (aref (buffer-name buf) 0) ?\s))
>

Yup. I also see this in the "(emacs) Undo" Info node:

   Some specialized buffers do not make undo records.  Buffers whose
names start with spaces never do; these buffers are used internally by
Emacs to hold text that users don’t normally look at or edit.

But I cannot find the code that implements that.

It would be nice to have these places to use the same defsubst.

Btw I confirm the fix. Thanks!
-- 

Kaushal Modi